<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>RxJS Interval 2</title>
  </head>

  <body>
    <script src="rxjs.umd.js"></script>
    <script src="getSubscriber.js"></script>
    <script>
      const source$ = rxjs.interval(1000);

      source$.subscribe(getSubscriber('Observer 1'));
      setTimeout(() => {
        source$.subscribe(getSubscriber('Observer 2'));
      }, 3000);
    </script>
  </body>
</html>
